<?php

namespace App\Controllers;

use App\Controllers\BaseController;

class Language extends BaseController
{
    public function index()
    {
        $session = session();
        $locale = $this->request->getLocale();
        $session->remove('lang');
        $session->set('lang', $locale);
        $url = previous_url();
        return redirect()->to($url);
    }

    
    // Function to get the translation of the language file from a AJAX request
    public function getTranslation()
    {
        $translationFile = $this->request->getPost('translationFile');
        $data = [];
        if(is_array($translationFile)){
            foreach($translationFile as $file){
                $locale = $this->request->getPost('locale');
                $path = "Language/{$locale}/$file.php";
                $lang =  require APPPATH.$path;
                $data[$file] = $lang;
            }
            return json_encode($data);
        }
        else{
            $locale = $this->request->getPost('locale');
            $path = "Language/{$locale}/$translationFile.php";
            $lang =  require APPPATH.$path;
            return json_encode($lang);
        }
        
    }
}
